package cz.uhk.pavolpodstreleny.schoolproject.data

/**
 * Created by pavol.podstreleny on 02.01.2018.
 *
 * This Singleton describes contract with remote FirebaseDatabase
 */
object DatabaseContract {

    val TABLE_BADGES = "badges"

    // table, column names for: users table
    val TABLE_USERS_NAME = "users"
    val TABLE_USERS_USER_NAME = "name"
    val TABLE_USERS_SCORE = "score"
    val TABLE_USERS_EXERCISES = "exercises"
    val TABLE_USERS_LAST_TASK = "lastTask"
    val TABLE_USERS_USER_EMAIL = "email"


    // table name for: users badges table
    val TABLE_USER_BADGES_NAME = "user_badges"
    val TABLE_USER_BADGES_POINTS = "points"

    // table, colum names for: category_preview
    val TABLE_CATEGORY_NAME = "category_preview"
    val TABLE_CATEGORY_DESCRIPTION = "description"
    val TABLE_CATEGORY_PHOTOURL = "photoURL"

    // table name for: admins table
    val TABLE_ADMINS_NAME = "admins"

    //table name for: topics table
    val TABLE_TOPICS_NAME = "topics"
    val TABLE_TOPIC_DESCRIPTION = "description"
    val TABLE_TOPIC_PHOTO_URL = "photoURL"
    val TABLE_TOPICS_CATEGORY = "category"


    //table name for: groups table
    val TABLE_GROUPS_NAME = "groups"
    val TABLE_GROUPS_TOPIC = "topic"
    val TABLE_GROUPS_DESCRIPTION = "description"

    //table name for: exercises table
    val TABLE_EXERCISES_NAME = "exercises"
    val TABLE_EXERCISES_GROUP = "group"
    val TABLE_EXERCISES_DESCRIPTION = "description"

    //Exercise_tasks
    val TABLE_EXERCISES_TASKS_NAME = "exercises_tasks"


    //table name for: tasks table
    val TABLE_TASKS_NAME = "tasks"
    val TABLE_TASKS_DESCRIPTION = "description"
    val TABLE_TASKS_PHOTOURL = "photoURL"
    val TABLE_TASKS_CHOICES = "choices"
    val TABLE_TASKS_TYPE = "type"
    val TABLE_TASKS_EXERCISE = "exercise"

    // Files
    val FILE_CATEGORY_PATH = "categories"
    val FILE_TOPIC_PATH = "topics"




}