package cz.uhk.pavolpodstreleny.schoolproject.model;

import org.jetbrains.annotations.NotNull;

import java.util.HashMap;

/**
 * Created by pavol.podstreleny on 15.01.2018.
 */

public class Exercise implements Selectable {

    private String description;
    private String group;

    private String exerciseKey;
    private HashMap<String, Object> taskMap = new HashMap<>();
    private int userDone = 0;

    public Exercise(){

    }

    @NotNull
    @Override
    public String getName() {
        return description;
    }

    @NotNull
    @Override
    public String getPathID() {
        return exerciseKey;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getExerciseKey() {
        return exerciseKey;
    }

    public void setExerciseKey(String exerciseKey) {
        this.exerciseKey = exerciseKey;
    }

    public HashMap<String, Object> getTaskMap() {
        return taskMap;
    }

    public int getUserDone() {
        return userDone;
    }

    public void setUserDone(int userDone) {
        this.userDone = userDone;
    }
}
