package cz.uhk.pavolpodstreleny.schoolproject.model;

import org.jetbrains.annotations.NotNull;

import java.util.HashMap;

/**
 * Created by pavol.podstreleny on 21.01.2018.
 */

public class Task implements Selectable {

    private String exercise;
    private int type;
    private String description;
    private String photoURL;
    private HashMap<String,Boolean> choices = new HashMap<>();
    private HashMap<String,Boolean> choicess = new HashMap<>();
    private String taskID;



    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPhotoURL() {
        return photoURL;
    }

    public void setPhotoURL(String photoURL) {
        this.photoURL = photoURL;
    }

    public HashMap<String, Boolean> getChoices() {
        return choices;
    }

    public void setChoices(HashMap<String, Boolean> choices) {
        this.choices = choices;
    }

    public String getExercise() {
        return exercise;
    }

    public void setExercise(String exercise) {
        this.exercise = exercise;
    }

    public String getTaskID() {
        return taskID;
    }

    public void setTaskID(String taskID) {
        this.taskID = taskID;
    }

    @NotNull
    @Override
    public String getName() {
        return description;
    }

    @NotNull
    @Override
    public String getPathID() {
        return taskID;
    }

    public HashMap<String, Boolean> getChoicess() {
        return choicess;
    }

    public void setChoicess(HashMap<String, Boolean> choicess) {
        this.choicess = choicess;
    }
}
