package cz.uhk.pavolpodstreleny.schoolproject.model;

import org.jetbrains.annotations.NotNull;

/**
 * Created by pavol.podstreleny on 21.01.2018.
 */

public class TaskType implements Selectable {

    private String description;
    private String pathID;

    public TaskType(String description, String pathID){
        this.description = description;
        this.pathID = pathID;
    }

    @NotNull
    @Override
    public String getName() {
        return description;
    }

    @NotNull
    @Override
    public String getPathID() {
        return pathID;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setPathID(String pathID) {
        this.pathID = pathID;
    }


}
