package cz.uhk.pavolpodstreleny.schoolproject.model;

import org.jetbrains.annotations.NotNull;

/**
 * Created by pavol.podstreleny on 10.01.2018.
 */

public class Topic implements Selectable {

    private String description;
    private String photoURL;
    private String category;

    private String topicKey;

    public Topic(){

    }

    @NotNull
    @Override
    public String getPathID() {
        return getTopicKey();
    }

    @NotNull
    @Override
    public String getName() {
        return getDescription();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPhotoURL() {
        return photoURL;
    }

    public void setPhotoURL(String photoURL) {
        this.photoURL = photoURL;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getTopicKey() {
        return topicKey;
    }

    public void setTopicKey(String topicKey) {
        this.topicKey = topicKey;
    }
}
