package cz.uhk.pavolpodstreleny.schoolproject.screens.admin.groups

import android.app.Dialog
import android.content.Context
import android.os.Bundle
import android.support.v4.app.DialogFragment
import android.support.v7.app.AlertDialog
import cz.uhk.pavolpodstreleny.schoolproject.R

/**
 * Created by pavol.podstreleny on 14.01.2018.
 */
class GroupAdminDeleteDialog : DialogFragment() {

    var listener: OnDialogClick? = null

    interface OnDialogClick {
        fun onClickDelete()
    }

    override fun onAttach(context: Context?) {
        super.onAttach(context)
        listener = context as OnDialogClick
    }

    override fun onCreateDialog(savedInstanceState: Bundle?): Dialog {
        val builder = AlertDialog.Builder(activity!!, R.style.AlertDialogCustom)
        builder.setMessage(R.string.group_admin_page_group_dialog_text)
                .setPositiveButton(R.string.global_button_delete, { _, _ -> listener?.onClickDelete() })
                .setNegativeButton(R.string.global_button_cancel, { dialog, _ -> dialog.cancel() })
        return builder.create()
    }
}