package cz.uhk.pavolpodstreleny.schoolproject.utils

import android.content.Context
import android.net.ConnectivityManager


/**
 * Created by pavol.podstreleny on 06.01.2018.
 */
object NetworkUtil {

    private val TAG = NetworkUtil.javaClass.toString()

    fun isNetworkAvailable(context: Context): Boolean {
        val connectivityManager = context.getSystemService(Context.CONNECTIVITY_SERVICE) as ConnectivityManager
        return connectivityManager.activeNetworkInfo != null && connectivityManager.activeNetworkInfo.isConnected
    }
}