package cz.uhk.pavolpodstreleny.schoolproject.model;

import org.jetbrains.annotations.NotNull;

/**
 * Created by pavol.podstreleny on 07.01.2018.
 */

public class Category implements Selectable{

    private String description;
    private String photoURL;

    private String categoryKey;

    public Category(){

    }

    @NotNull
    @Override
    public String getName() {
        return description;
    }

    @NotNull
    @Override
    public String getPathID() {
        return categoryKey;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPhotoURL() {
        return photoURL;
    }

    public void setPhotoURL(String photoURL) {
        this.photoURL = photoURL;
    }

    public String getCategoryKey() {
        return categoryKey;
    }

    public void setCategoryKey(String categoryKey) {
        this.categoryKey = categoryKey;
    }
}
