package cz.uhk.pavolpodstreleny.schoolproject.utils

import cz.uhk.pavolpodstreleny.schoolproject.model.Badge

/**
 * Created by pavol.podstreleny on 25.04.2018.
 */
object BadgeCalculator {


    fun calculateListBadge(userBadges: List<String>, allBadges: List<Badge>): Badge? {

        val list = arrayListOf<Badge>()

        allBadges.forEach { badge ->
            userBadges.forEach { userBadgeName ->
                if (badge.badgeName == userBadgeName) {
                    list.add(badge)
                }
            }
        }


        val notAchievedBadges = allBadges.minus(list)

        return notAchievedBadges.minBy { badge ->
            badge.points
        }

    }


}